# Definition of a metric space

> *Definition 1*: a **metric space** is a pair $(X,d)$, where $X$ is a set and $d$ is a metric on $X$, which is a function on $X \times X$ such that 
>
> 1. $d$ is real, finite and nonnegative, 
> 2. $\forall x,y \in X: \quad d(x,y) = 0 \iff x = y$,
> 3. $\forall x,y \in X: \quad d(x,y) = d(y,x)$,
> 4. $\forall x,y,z \in X: \quad d(x,y) \leq d(x,z) + d(y,z)$.

The metric $d$ is also referred to as a distance function. With $x,y \in X: d(x,y)$ the distance from $x$ to $y$. 

## Examples

For the **Real line** $\mathbb{R}$ the usual metric is defined by

$$
    d(x,y) = |x - y|,
$$

for all $x,y \in \mathbb{R}$. Obtaining a metric space $(\mathbb{R}, d)$. 

??? note "*Proof*:"

    Will be added later.

For the **Euclidean space** $\mathbb{R}^n$ with $n \in \mathbb{N}$, the usual metric is defined by

$$
    d(x,y) = \sqrt{\sum_{i=1}^n (x_i - y_i)^2},
$$

for all $x,y \in \mathbb{R}^n$ with $x = (x_i)$. Obtaining a metric space $(\mathbb{R}^n, d)$. 

??? note "*Proof*:"

    Will be added later.

Similar examples exist for the complex plane $\mathbb{C}$ and the unitary space $\mathbb{C}^n$. 

For the space $C([a,b])$ of all **real-valued continuous functions** on a closed interval $[a,b]$ with $a<b \in \mathbb{R}$ the metric may be defined by

$$
    d(x,y) = \max_{t \in [a,b]} |x(t) - y(t)|,
$$

for all $x,y \in C([a,b])$. Obtaining a metric space $(C([a,b]), d)$. 

